- HTTP request
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists associations of a specified target, i.e., organization or folder.
HTTP request
GET https://compute.googleapis.com/compute/beta/locations/global/firewallPolicies/listAssociations The URLs use gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
targetResource |
The target resource to list associations. It is an organization, or a folder. |
includeInheritedPolicies |
If set to "true", the response will contain a list of all associations for the containing folders and the containing organization of the target. The parameter has no effect if the target is an organization. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "associations": [ { "name": string, "attachmentTarget": string, "firewallPolicyId": string, "shortName": string, "displayName": string, "priority": integer } ] } |
| Fields | |
|---|---|
kind |
Output only. Type of firewallPolicy associations. Always |
associations[] |
A list of associations. |
associations[].name |
The name for an association. |
associations[].attachmentTarget |
The target that the firewall policy is attached to. |
associations[].firewallPolicyId |
Output only. The firewall policy ID of the association. |
associations[].shortName |
Output only. The short name of the firewall policy of the association. |
associations[].displayName |
Output only. Deprecated, please use short name instead. The display name of the firewall policy of the association. |
associations[].priority |
An integer indicating the priority of an association. The priority must be a positive value between 1 and 2147483647. Firewall Policies are evaluated from highest to lowest priority where 1 is the highest priority and 2147483647 is the lowest priority. The default value is |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.organizations.listAssociationscompute.organizations.setFirewallPolicy
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.